List Travel eSIM countries
curl --request GET \
--url https://apiv2.example.com/product-offerings/countries \
--header 'X-Api-Key: <api-key>'import requests
url = "https://apiv2.example.com/product-offerings/countries"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://apiv2.example.com/product-offerings/countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"countries": [
{
"code": "USA",
"name": "United States"
}
],
"regions": [
{
"region": "EUROPE",
"countries": [
"SWE",
"DEU",
"FRA"
]
}
]
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}Product Offerings
List Travel eSIM countries
List all countries and regions available across travel eSIM product offerings.
Returns a deduplicated list of countries with their names and ISO codes, plus regions that appear on offerings with their constituent country codes.
GET
/
product-offerings
/
countries
List Travel eSIM countries
Authorizations
apiKeybearerAuth & apiKey
An API key that grants access to the Connect API. You can create and manage API keys in the portal.
Query Parameters
Filter by customer type. The type of customer.
Available options:
CONSUMER, BUSINESS ⌘I